package com.sheep.gamegroup.di.components;


import com.sheep.gamegroup.di.modules.NetModule;
import com.sheep.gamegroup.model.api.ApiService;

import javax.inject.Singleton;

import dagger.Component;
import okhttp3.OkHttpClient;
import retrofit2.Retrofit;

/**
 * Created by ljy on 2018/3/8.
 */
@Component(modules = NetModule.class)
@Singleton
public interface NetComponent {
    ApiService getApiService();

    OkHttpClient getOkHttp();

    Retrofit getRetrofit();
}
